## fastqtl 2.184%2Bdfsg

=== debian/changelog ===
fastqtl (2.184+dfsg-8build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:29:47 +0000

fastqtl (2.184+dfsg-8) unstable; urgency=medium

  * Team Upload.
  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Dylan Aïssi ]
  * Update my email

  [ Nilesh Patra ]
  * d/rules: Force -std=c++14
  * Bump debhelper compatibility level to 13
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Replace deprecated ADTTMP with AUTOPKGTEST_TMP
  * Add "Rules-Requires-Root: no"
  * Update override

 -- Nilesh Patra <nilesh@debian.org>  Sat, 23 Oct 2021 18:14:58 +0530

fastqtl (2.184+dfsg-7) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #939811)
    + Let dh_auto_build pass cross tools to make.
    + cross.patch: Fix Makefile dependencies.

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 14:08:17 +0200

fastqtl (2.184+dfsg-6) unstable; urgency=medium

  * Team upload

  [ Dylan Aïssi ]
  * Mark fastqtl-doc as Multi-Arch: foreign.
  * Add OMICtools ref (Dylan) and declared others as
    missing (Steffen Moeller)
  * Remove unnecessary "Testsuite: autopkgtest" from d/control.
  * Switch to secure URI in d/copyright.

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jul 2018 20:55:22 +0200

fastqtl (2.184+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix patch for reproducible builds (Thanks to Reiner Herrmann
    <reiner@reiner-h.de>)
    Closes: #848292
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 16 Dec 2016 11:16:18 +0100

fastqtl (2.184+dfsg-4) unstable; urgency=low

  * Add a patch to fix reproducible builds (stable order for inputs).

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 31 Aug 2016 00:08:26 +0200

fastqtl (2.184+dfsg-3) unstable; urgency=low

  * Remove the manpage from fastqtl-doc. (Closes: #826885)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 12 Jun 2016 04:25:21 +0200

fastqtl (2.184+dfsg-2) unstable; urgency=low

  [ Dylan Aïssi ]
  * Switch Build-Depends from libgsl0-dev to libgsl-dev.
  * Fix reproducible builds. (Closes: #826209)

  [ Andreas Tille ]
  * Set all hardening options

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 02 Jun 2016 22:11:18 +0200

fastqtl (2.184+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #823115)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sat, 30 Apr 2016 23:21:54 +0200
