=== debian/changelog ===
fastqtl (2.184+dfsg-5build4) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:13:20 +0000

fastqtl (2.184+dfsg-5build3) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:09:59 +0000

fastqtl (2.184+dfsg-5build2) artful; urgency=medium

  * Rebuild against new libhts2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2017 19:25:02 +0200

fastqtl (2.184+dfsg-5build1) artful; urgency=medium

  * No-change rebuild against libhts2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Jun 2017 07:29:06 +0000
