=== debian/control ===
Source: fastqtl
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
Build-Depends: debhelper (>= 10),
 libboost-dev,
 libboost-iostreams-dev,
 libboost-program-options-dev,
 libgsl-dev,
 r-mathlib,
 zlib1g-dev,
 libblas-dev,
 libeigen3-dev,
 libhts-dev
Testsuite: autopkgtest
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-med/fastqtl.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/fastqtl.git
Homepage: http://fastqtl.sourceforge.net/

Package: fastqtl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fastqtl-doc
Description: Quantitative Trait Loci (QTL) mapper in cis for molecular phenotypes
 The goal of FastQTL is to identify single-nucleotide polymorphisms (SNPs)
 which are significantly associated with various molecular phenotypes
 (i.e. expression of known genes, cytosine methylation levels, etc).
 It performs scans for all possible phenotype-variant pairs in cis
 (i.e. variants located within a specific window around a phenotype).
 FastQTL implements a new permutation scheme (Beta approximation) to accurately
 and rapidly correct for multiple-testing at both the genotype and phenotype
 levels.

Package: fastqtl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: fastqtl
Description: QTL mapper in cis for molecular phenotypes - documentation
 The goal of FastQTL is to identify single-nucleotide polymorphisms (SNPs)
 which are significantly associated with various molecular phenotypes
 (i.e. expression of known genes, cytosine methylation levels, etc).
 It performs scans for all possible phenotype-variant pairs in cis
 (i.e. variants located within a specific window around a phenotype).
 FastQTL implements a new permutation scheme (Beta approximation) to accurately
 and rapidly correct for multiple-testing at both the genotype and phenotype
 levels.
 .
 This package provides documentation and example data to work with FastQTL.
