=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
 http://fastqtl.sourceforge.net/pages/install.html http://fastqtl.sourceforge.net/files/FastQTL-(\d\S*).linux\.tgz
