=== debian/changelog ===
fastqtl (2.184+v7+dfsg-5) unstable; urgency=medium

  * d/control: adjust Recommends per recommendations.
    Thanks to Charles Plessy for the hints. (Closes: #1113845)
  * d/watch: repair and convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/copyright: drop the old FSF mail address.
  * d/patches/*: normalize dep3 headers.

 -- Étienne Mollier <emollier@debian.org>  Mon, 17 Nov 2025 22:47:43 +0100

fastqtl (2.184+v7+dfsg-4) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/control: remove redundant ${misc:Depends}.
  * d/clean: new: remove leftover artifact. (Closes: #1044949, #1049574)

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 19:31:08 +0100

fastqtl (2.184+v7+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/rules: only fix permissions for arch-any builds. (Closes: #1021994)
  * d/t/fastqtl_expected_output.txt: update to match behavior of v7.
    (Closes: #1021995)

 -- Étienne Mollier <emollier@debian.org>  Sat, 22 Oct 2022 13:50:04 +0200

fastqtl (2.184+v7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Build-Depends: libbz2-dev
    Closes: #1021832

 -- Andreas Tille <tille@debian.org>  Sun, 16 Oct 2022 14:59:19 +0200

fastqtl (2.184+v7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Package enhanced fastqtl from Github
  * Standards-Version: 4.6.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Add missing ${misc:Depends} to Depends for fastqtl.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 05 Oct 2022 13:36:38 +0200
