=== debian/control ===
--- 
+++ 
@@ -1,28 +1,35 @@
 Source: fastqtl
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Dylan Aïssi <daissi@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
-Build-Depends: debhelper (>= 10),
- libboost-dev,
- libboost-iostreams-dev,
- libboost-program-options-dev,
- libgsl-dev,
- r-mathlib,
- zlib1g-dev,
- libblas-dev,
- libeigen3-dev,
- libhts-dev
-Testsuite: autopkgtest
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/fastqtl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/fastqtl.git
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               python3,
+               libboost-dev,
+               libboost-iostreams-dev,
+               libboost-program-options-dev,
+               libgsl-dev,
+               r-mathlib,
+               zlib1g-dev,
+               libblas-dev,
+               libeigen3-dev,
+               libhts-dev,
+               libbz2-dev
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/med-team/fastqtl
+Vcs-Git: https://salsa.debian.org/med-team/fastqtl.git
 Homepage: http://fastqtl.sourceforge.net/
 
 Package: fastqtl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${python3:Depends},
+         python3,
+         ${misc:Depends}
+Recommends: r-bioc-qvalue,
+            r-cran-argparser
 Suggests: fastqtl-doc
 Description: Quantitative Trait Loci (QTL) mapper in cis for molecular phenotypes
  The goal of FastQTL is to identify single-nucleotide polymorphisms (SNPs)
@@ -35,8 +42,9 @@
  levels.
 
 Package: fastqtl-doc
+Architecture: all
+Multi-Arch: foreign
 Section: doc
-Architecture: all
 Depends: ${misc:Depends}
 Enhances: fastqtl
 Description: QTL mapper in cis for molecular phenotypes - documentation
