=== debian/watch ===
Version: 5
# Note: superseded by tensorQTL[1].
# [1]: https://github.com/broadinstitute/tensorqtl

Template: Github
Owner: francois-a
Project: fastqtl
Repack: yes
Repack-Suffix: +dfsg
DVersion-Mangle: auto
UVersion-Mangle: s/^/2.184+v/
